List a cell's history
curl --request POST \
--url https://api.anpord.com/v1/evals.cellHistory \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cellKey": "<string>"
}
'import requests
url = "https://api.anpord.com/v1/evals.cellHistory"
payload = { "cellKey": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({cellKey: '<string>'})
};
fetch('https://api.anpord.com/v1/evals.cellHistory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"distribution": {
"commandMax": 123,
"commandMedian": 123,
"commandMin": 123,
"deterministic": true,
"failed": 123,
"passRate": 123,
"passed": 123,
"scored": 123,
"trials": 123,
"voided": 123
},
"finishedAt": "2023-11-07T05:31:56Z",
"internalId": "<string>",
"runId": "<string>",
"trials": [
{
"commands": 123,
"exitCode": 123,
"failedCommands": 123,
"filesChanged": [
"<string>"
],
"modelMs": 123,
"ordinal": 123,
"passed": true,
"sandboxId": "<string>",
"sandboxMs": 123,
"status": "queued",
"timed": true,
"trajectory": [
{
"_tag": "command",
"command": "<string>",
"exitCode": 123,
"finishedAtMillis": 123,
"output": "<string>",
"startedAtMillis": 123
}
],
"usage": {
"inputTokens": 123,
"outputTokens": 123,
"totalTokens": 123
},
"voidFields": [
"<string>"
]
}
]
}
]{
"issues": [
{
"_tag": "Pointer",
"path": [
"<string>"
],
"message": "<string>"
}
],
"message": "<string>",
"_tag": "HttpApiDecodeError"
}{
"message": "<string>",
"_tag": "Unauthorized"
}{
"message": "<string>",
"_tag": "Forbidden"
}{
"message": "<string>",
"_tag": "NotFound"
}{
"message": "<string>",
"_tag": "Conflict"
}Evals
List a cell's history
Returns the 20 most recent results.
POST
/
v1
/
evals.cellHistory
List a cell's history
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Select an eval cell by its stable key.
⌘I